io.vertx.ext.web.api.validation

## Class ValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.VertxException
        - - io.vertx.ext.web.api.validation.ValidationException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  You should use the new module vertx-web-openapi

      @Deprecated
      public class ValidationException
      extends VertxException

  This is the main class for every Validation flow related errors
  Author:
    Francesco Guardiani @slinkydeveloper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ValidationException.ErrorType` Deprecated. All errors type.
    `static class` | `ValidationException.ValidationExceptionFactory` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationException(String message)` Deprecated.
    `ValidationException(String message, ValidationException.ErrorType error)` Deprecated.
    `ValidationException(String message, ValidationException.ErrorType error, Throwable cause)` Deprecated.
    `ValidationException(ValidationException.ErrorType error)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()` Deprecated.
    `String` | `parameterName()` Deprecated.
    `void` | `setParameterName(String parameterName)` Deprecated.
    `void` | `setValidationRule(ParameterValidationRule validationRule)` Deprecated.
    `void` | `setValue(String value)` Deprecated.
    `String` | `toString()` Deprecated.
    `ValidationException.ErrorType` | `type()` Deprecated.
    `ParameterValidationRule` | `validationRule()` Deprecated.
    `String` | `value()` Deprecated.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationException

          public ValidationException(String message,
                                     ValidationException.ErrorType error,
                                     Throwable cause)

      Deprecated.

    - #### ValidationException

          public ValidationException(String message,
                                     ValidationException.ErrorType error)

      Deprecated.

    - #### ValidationException

          public ValidationException(ValidationException.ErrorType error)

      Deprecated.

    - #### ValidationException

          public ValidationException(String message)

      Deprecated.

  - ### Method Detail

    - #### parameterName

          public String parameterName()

      Deprecated.

    - #### validationRule

          public ParameterValidationRule validationRule()

      Deprecated.

    - #### value

          public String value()

      Deprecated.

    - #### type

          public ValidationException.ErrorType type()

      Deprecated.

    - #### setParameterName

          public void setParameterName(String parameterName)

      Deprecated.

    - #### setValidationRule

          public void setValidationRule(ParameterValidationRule validationRule)

      Deprecated.

    - #### setValue

          public void setValue(String value)

      Deprecated.

    - #### getMessage

          public String getMessage()

      Deprecated.
      Overrides:
        `getMessage` in class `Throwable`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Throwable`

Copyright © 2025 Eclipse. All rights reserved.